### Virtual Method

# Gio FileInputStream query_info

#### Declaration

    GFileInfo*
    query_info (
      GFileInputStream* stream,
      const char* attributes,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Queries a file input stream the given `attributes`. This function blocks while querying the stream. For the asynchronous (non-blocking) version of this function, see g_file_input_stream_query_info_async(). While the stream is blocked, the stream will set the pending flag internally, and any other operations on the stream will fail with `G_IO_ERROR_PENDING`.

#### Parameters

`attributes`

  Type: `const char*`

  A file attribute query string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GFileInfo`

A `GFileInfo`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.